Subject: [bug#40677] [PATCH V3 07/15] gnu: Add ffmpeg-jami.

From: Jan <[email-masked]>
Date: Mon, 4 May 2020 20:26:31 +0200

On Sat, 02 May 2020 11:36:30 +0200
Mathieu Othacehe <[email-masked]> wrote:

> Ok, last one! As discussed before I'm not very comfortable with this
> very long list of configuration options.
> 
> Are the ffmpeg configuration options needed by Jami described
> somewhere?
> 
> Thanks,
> 
> Mathieu

So I compared the list of flags turned off by default with ffmpeg
package currently in guix with ffmpeg-jami package and I managed to
shorten the list from 107 to 95. It isn't worth the effort.

I tried looking for the flags needed in the documentation, but I
couldn't find anything. There's only the rules.mak file in Jami source
code and they use these flags.

There are only few comments:
#disable everything
#enable muxers/demuxers
#enable parsers
#encoders/decoders
#decoders for ringtones and audio streaming
#encoders/decoders for images
#filters
#platform specific options
#Android Linux
#Desktop Linux
...

That's all. I see no point in comparing these flags every release just
for 12 of them I can inherit from the default ffmpeg package.

I prefer just copy the list from rules.mak. What I could do is defining
a separate "ffmpeg-configure-flags" variable somewhere near ffmpeg-jami
and use it, instead of having the bloated list inside the package
definition (if that's even possible).
Correct me if I'm wrong or suggest a reasonable solution, because I have
no idea how to deal with it right now.

Jan Wielkiewicz